package main

import (
  "fmt"
  "os"
  "bufio"
  "strconv"
  "strings"
)

type capoluogo struct {
  Nome, Sigla, Regione string
  Popolazione, Superficie, Densita, Altitudine int
}

func riga2capoluogo(riga string) (cap capoluogo, ok bool) {
  var err error
  s := strings.Split(riga, ",")
  if len(s) != 7 {
    return
  }
  cap.Nome = s[0]
  cap.Sigla = s[1]
  cap.Regione = s[2]
  cap.Popolazione, err = strconv.Atoi(s[3])
  if err != nil {
    return
  }
  cap.Superficie, err = strconv.Atoi(s[4])
  if err != nil {
    return
  }
  cap.Densita, err = strconv.Atoi(s[5])
  if err != nil {
    return
  }
  cap.Altitudine, err = strconv.Atoi(s[6])
  if err != nil {
    return
  }
  ok = true
  return
}

func main() {
  var sigla2cap map[string]capoluogo

  sigla2cap = make(map[string]capoluogo)

  scanner := bufio.NewScanner(os.Stdin)
  firstLine := true

  for scanner.Scan() {
    riga := scanner.Text()
    if firstLine {
      firstLine = false
      continue
    }
    c, ok := riga2capoluogo(riga)
    if !ok {
      continue
    }
    sigla2cap[c.Sigla] = c
  }

  for i := 1; i < len(os.Args); i++ {
    sigla := os.Args[i]
    fmt.Println(sigla2cap[sigla])
  }
}
